List Rows
Query rows from a table with optional filtering, sorting, and pagination. Filters and sorts are passed as JSON-encoded query parameters.
GET
/api/v1/tables/{tableId}/rowsAuthorization
apiKey X-API-Key<token>
Your SteelEngine API key (personal or workspace). Generate one from the SteelEngine dashboard under Settings > API Keys.
In: header
Path Parameters
tableId*string
The unique identifier of the table.
Query Parameters
workspaceId*string
The unique identifier of the workspace.
filter?string
JSON-encoded filter object. Example: {"status": "active"} or {"age": {"$gt": 18}}.
sort?string
JSON-encoded sort object. Example: {"created_at": "desc"}.
limit?integer
Maximum rows to return (1-1000, default 100).
Range
1 <= value <= 1000Default
100offset?integer
Number of rows to skip for pagination (default 0).
Range
0 <= valueDefault
0Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/tables/string/rows?workspaceId=string"{ "success": true, "data": { "rows": [ { "id": "row_abc123", "data": { "email": "jane@example.com", "name": "Jane Doe" }, "position": 0, "createdAt": "2026-01-15T10:30:00Z", "updatedAt": "2026-01-15T10:30:00Z" } ], "rowCount": 1, "totalCount": 1, "limit": 100, "offset": 0 }}